| usbps Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xusbps_class_storage.h File Reference

## Overview

This file contains definitions used in the chapter 9 code.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.00a wgr  10/10/10 First release
          ms   04/10/17 Modified filename tag to include the file in doxygen
                        examples.

## Functions
void | XUsbPs_HandleStorageReq (XUsbPs *InstancePtr, u8 EpNum, u8 *BufferPtr, u32 BufferLen)
| This function handles Reduced Block Command (RBC) requests from the host. More...
void | XUsbPs_ClassReq (XUsbPs *InstancePtr, XUsbPs_SetupData *SetupData)
| This function is called by Chapter9 handler when class request is received from Host. More...

## Function Documentation

void XUsbPs_ClassReq | ( | XUsbPs * | InstancePtr,
|  | XUsbPs_SetupData * | SetupData
| ) |  |

This function is called by Chapter9 handler when class request is received from Host.

Parameters

  InstancePtr | is pointer to Usb_DevData instance.
  SetupData | is the setup packet received from Host.

Note
  None.

This function is called by Chapter9 handler when class request is received from Host.

Parameters

  InstancePtr | is a pointer to XUsbPs instance of the controller.
  SetupData | is the setup data structure containing the setup request.

Returns
  None.

Note
  None.

References XUsbPs_SetupData::bmRequestType, XUsbPs_SetupData::bRequest, XUsbPs_SetupData::wIndex, XUsbPs_SetupData::wLength, XUsbPs_SetupData::wValue, XUSBPS_EP_DIRECTION_IN, XUSBPS_EP_DIRECTION_OUT, XUsbPs_EpBufferSend(), XUsbPs_EpDataBufferReceive(), XUsbPs_EpStall, and XUSBPS_REQ_REPLY_LEN.

void XUsbPs_HandleStorageReq | ( | XUsbPs * | InstancePtr,
|  | u8 | EpNum,
|  | u8 * | BufferPtr,
|  | u32 | BufferLen
| ) |  |

This function handles Reduced Block Command (RBC) requests from the host.

Parameters

  InstancePtr | is a pointer to XUsbPs instance of the controller.
  EpNum | is the number of the endpoint on which the RBC was received.
  BufferPtr | is the data buffer containing the RBC or data.
  BufferLen | is the length of the data buffer.

Returns
  None.

Note
  None.

References XUsbPs_EpBufferSend().